<%@ page import="java.util.*,java.text.*,java.net.*" contentType="text/html; charset=euc-kr" %>
<!--aaa#include virtual="/include/nocache.asp"-->
<!--bbb#include virtual="/include/dbconn.asp"-->

<%
/*--------------------------------------------------------------------------------------------------------------------------------------
 2. 테스트 상점아이디 : 2999199999
	승인구분 : 
		CA : 카드승인
		CE : 본인확인 체크 후 승인 (인증 필수사항:카드번호,유효기간,주민번호뒤7자리,비밀번호앞2자리)
		AU : 본인확인 민 체크 (인증 필수사항:카드번호,유효기간,주민번호뒤7자리,비밀번호앞2자리)
 4. 이자구분 :
		1 : 일반(할부수수료 고객 부담)
		2 : 무이자(할부수수료 가맹점 부담)
 5. 주문번호 : Mall에서 쓰는 고유번호 (최대 30자리)
 6. 주문자명 : 고객명 (최대20자리)
 7. 상품명 : 고객이 결제하고자 하는 상품명(최대 30자리 한글15자리)
 9. 통화구분 : 해당 Mall 만 사용가능(케이에스넷 영업부와 협의가 이루어져야 함)
		원화: 외국발행카드 승인시 원화승인
		미화: 외국발행카드 승인시 미화승인
10. 배치승인처리구분 :
	1 : 미사용 (일반적인 카드결제)
	2 : 사용 (승인후 거래번호로 재승인 가능하도록 처리하기 위해 PG에서 카드번호 보유함 예) 월 과금결제 등)
11. 응답URL : 미경유시 입력(응답받고자 하는 절대URL 입력)
---------------------------------------------------------------------------------------------------------------------------------------*/

//필수항목(12항목)
String ERRMSG = "";												// 1. 에러메세지
String storeid = request.getParameter("storeid");	// 2. 상점아이디
String authty = request.getParameter("authty");		// 3. 승인구분
String interest = request.getParameter("interest");  // 4. 이자구분
String ordno = request.getParameter("ordno");		// 5. 주문번호
String ordnm = request.getParameter("ordnm");		// 6. 주문자명
String pdtnm = request.getParameter("pdtnm");		// 7. 상품명
String amt = request.getParameter("amt");             // 8. 금액
String cncy = request.getParameter("cncy");			// 9. 통화구분
String batflag = request.getParameter("batflag");	//10. 배치승인처리구분 
String reply = request.getParameter("reply");			//11. 응답URL
String remark = request.getParameter("remark");	//12. 비고

//사전검증*******************************************************************************************************************************
// 상점ID : 10자리 이내 영숫자 
if(!(storeid == null || storeid.equals(""))) {
	if(storeid.getBytes().length != 10) {
		ERRMSG += "상점아이디 잘못 입력" + "<br>";
	}
}
else {
	ERRMSG += "상점아이디 입력요망" + "<br>";
}

// 결제금액 :: 9자 이내 숫자이어야 한다.
if(!(amt == null || amt.trim().equals(""))) {
	if(amt.trim().getBytes().length > 9 || amt.trim().getBytes().length < 4) {
		ERRMSG += "금액 잘못 입력" + "<br>";
	}
}
else {
	ERRMSG += "금액 입력요망" + "<br>";
}

// 주문번호 :: 30자이내
if(!(ordno == null || ordno.trim().equals(""))) {
	ordno = new String(ordno.getBytes("8859_1"), "KSC5601");
	if(ordno.trim().getBytes().length > 30) { 
		ERRMSG += "주문번호 잘못 입력" + "<br>";
	}
}
else {
	ERRMSG += "주문번호 입력요망" + "<br>";
}
  
// 상품명 :: 30자이내
if(!(pdtnm == null || pdtnm.trim().equals(""))) {
    pdtnm = new String(pdtnm.getBytes("8859_1"), "KSC5601");
	if(pdtnm.trim().getBytes().length > 30) { 
		ERRMSG += "상품명 잘못 입력" + "<br>";
	}
}
else {
	pdtnm = "";
}

// 주문자성명 :: 20자이내(한글 10자)
if(!(ordnm == null || ordnm.trim().equals(""))) {
	ordnm = new String(ordnm.getBytes("8859_1"), "KSC5601");
	if(ordnm.trim().getBytes().length > 20) { 
		ERRMSG += "주문자성명 잘못 입력" + "<br>";
	}
}
else {
	ERRMSG += "주문자성명 입력요망" + "<br>";
}



// 비고 
if(!(remark  == null || remark.trim().equals(""))) {
	remark = new String(remark.getBytes("8859_1"), "KSC5601");
}
else {
	remark = "";
}

if(!ERRMSG.equals("")) {
	out.println(ERRMSG);
	out.println(pdtnm);
	return;
}
//검증끝***********************************************************************************************************************************
%>
<html>
<head> 
	<title>신용카드승인</title>
	<link rel="stylesheet" href="form.css" type="text/css">
	<script language="javascript" src="check.js"></script>
</head>
<body bgcolor=#ffffff  ONCONTEXTMENU='return false'>
<script language="JavaScript">
<!--
function right(e) {
	if (navigator.appName == 'Netscape' && (e.which == 3 || e.which == 2))
		return false;
	else if (navigator.appName == 'Microsoft Internet Explorer' && (event.button == 2 || event.button == 3)) 
		return false;
	return true;
}

if (document.layers) window.captureEvents(Event.MOUSEDOWN);
window.onmousedown=right;
document.onmousedown=right;
-->
</script>
<form name="kspayFAuthFrm" method="post">
<input type="hidden" name="storeid" value="<%=storeid%>">		<!--상점아이디 -->
<input type="hidden" name="authty" value="<%=authty%>">			<!--승인구분 CA:승인,CE:인증후승인,AU:인증 -->
<input type="hidden" name="interest" value="<%=interest%>">		<!--이자구분 1:일반, 2:무이자 -->
<input type="hidden" name="ordno" value="<%=ordno%>">			<!--주문번호 -->
<input type="hidden" name="ordnm" value="<%=ordnm%>">			<!--주문자성명 -->
<input type="hidden" name="pdtnm" value="<%=pdtnm%>">			<!--상품명 -->
<input type="hidden" name="cncy" value="<%=cncy%>">				<!--통화구분 space:원화, 840:미화-->
<input type="hidden" name="batflag" value="<%=batflag%>">		<!--배치승인처리구분 0:미사용, 1:사용 -->
<input type="hidden" name="reply" value="<%=reply%>">			<!--응답URL-->
<input type="hidden" name="cardno" value="">				<!--카드번호 -->
<input type="hidden" name="expdt" value="">				<!--유효기간 -->
<table width="600" border="0" cellspacing="0" cellpadding="0">
	<tr><td><h3><center>신용카드승인</center><h3><center></center></h3></h3></td></tr>
	<tr><td bgcolor="9BA8DB">
		<table width="100%" border="0" cellspacing="1" cellpadding="1">
			<tr><td bgcolor="#EEF7FF" colspan=3><b>거래정보</b></td></tr>
			<tr> 
            	<td bgcolor="#EEF7FF" width="120">주문번호</td>
            	<td bgcolor="#FFFFFF" width="185"><%=ordno%></td>
				<td bgcolor="#FFFFFF"><font color="#000033">주문번호 30자리 이하</font></td>
			</tr>
			<tr> 
				<td bgcolor="#EEF7FF" width="120">상품명</td>
				<td bgcolor="#FFFFFF" width="185"><%=pdtnm%></td>
				<td bgcolor="#FFFFFF" ><font color="#000033">주문명 30자리 이하(한글15자)</font></td>
			</tr>
			<tr> 
				<td bgcolor="#EEF7FF" width="120">주문자명</td>
				<td bgcolor="#FFFFFF" width="185"><%=ordnm%></td>
				<td bgcolor="#FFFFFF" ><font color="#000033"> 주문자성명 20자리 이하</font></td>
			</tr>
			<tr>
				<td bgcolor="#EEF7FF" colspan=3><b>승인정보</b></td>
			</tr>
			<tr>
				<td bgcolor="#EEF7FF" width="120">승인구분</td>
				<td bgcolor="#FFFFFF" width="185">
<% 
if(authty.equals("CA")) 
	out.print("카드승인"); 
else if(authty.equals("CE")) 
	out.print("카드인증후승인"); 
else if(authty.equals("AU")) 
	out.print("카드인증"); 
%>				
				</td>
				<td bgcolor="#FFFFFF" ><font color="#000033">&nbsp;</font></td>
			</tr>
			<tr> 
				<td bgcolor="#EEF7FF" width="120">이자구분</td>
				<td bgcolor="#FFFFFF" width="185"><%if(interest.equals("1")) out.print("일반"); else out.print("무이자");%></td>
				<td bgcolor="#FFFFFF" ><font color="#000033"></font></td>
			</tr>
			<tr> 
				<td bgcolor="#EEF7FF" width="100"><font color="#FF0033">카드번호</font></td>
				<td bgcolor="#FFFFFF" width="230"> 
					<input type="text" name="cardno1" size="4" maxlength="4" OnKeyUp="card1_next(this.form)" class=input> - 
					<input type="text" name="cardno2" size="4" maxlength="4" OnKeyUp="card2_next(this.form)" class=input> - 
					<input type="text" name="cardno3" size="4" maxlength="4" OnKeyUp="card3_next(this.form)" class=input> - 
					<input type="text" name="cardno4" size="4" maxlength="4" OnKeyUp="card4_next(this.form)" class=input>
				</td>
				<td bgcolor="#FFFFFF" width="268"><font color="#000033">카드번호16자리(다이너스14자리,아멕스15자리)</font></td>
			</tr>
			<tr> 
				<td bgcolor="#EEF7FF" width="100"><font color="#FF0033">유효기간</font></td>
				<td bgcolor="#FFFFFF" width="230"> 
					<select name="expmon" class=input>
						<option value="01" selected>01</option>
						<option value="02">02</option>
						<option value="03">03</option>
						<option value="04">04</option>
						<option value="05">05</option>
						<option value="06">06</option>
						<option value="07">07</option>
						<option value="08">08</option>
						<option value="09">09</option>
						<option value="10">10</option>
						<option value="11">11</option>
						<option value="12">12</option>
					</select>월/ 
              				<select name="expyear" class=input>
<%
java.util.Calendar CurrDt = java.util.Calendar.getInstance();	// 카드 유효기간 계산
int dYear = CurrDt.get(java.util.Calendar.YEAR);
if(dYear > 0) {
	for(int i=dYear; i<dYear+15;i++){
		out.println("<option value=\"" + i + "\"");
		if(i == (dYear)) 
			out.println(" selected ");
		out.println(">" + i + "</option>\n");
	}
}
%>
					</select>년
				</td>
				<td bgcolor="#FFFFFF" width="268"><font color="#000033"> 월 2자리 / 년도 4자리 (MM/YYYY)</font></td>
			</tr>
			<tr> 
				<td bgcolor="#EEF7FF" width="100"><font color="#FF0033">할부</font></td>
				<td bgcolor="#FFFFFF" width="230"> 
					<select name="instmt" class=input>
						<option value="00" selected>00</option>
						<option value="02">02</option>
						<option value="03">03</option>
						<option value="04">04</option>
						<option value="05">05</option>
						<option value="06">06</option>
						<option value="07">07</option>
						<option value="08">08</option>
						<option value="09">09</option>
						<option value="10">10</option>
						<option value="11">11</option>
						<option value="12">12</option>
              				</select>개월 
				</td>
				<td bgcolor="#FFFFFF" width="268"><font color="#000033">00:일시불(1개월 할부 없음)</font></td>
			</tr>
			<tr> 
				<td bgcolor="#EEF7FF" width="100">금액</td>
				<td bgcolor="#FFFFFF" width="185">
					<input type="text" name="amt" size="10" maxlength="9" value="<%=amt%>" class=input readonly>
				</td>
				<td bgcolor="#FFFFFF" width="268"><font color="#000033">9자리 이하(숫자만입력, 콤마&quot;,&quot;입력불가)</font></td>
			</tr>
			<tr> 
				<td bgcolor="#EEF7FF" width="100">주민등록번호</td>
				<td bgcolor="#FFFFFF" width="230"> 
					<input type="password" name="socid" size="10" maxlength="10" class=input>
				</td>
				<td bgcolor="#FFFFFF" width="268"><font color="#000033">주민등록번호 뒤에서 7자리 입력</font></td>
			</tr>
			<tr> 
				<td bgcolor="#EEF7FF" width="100">비밀번호</td>
				<td bgcolor="#FFFFFF" width="230"> 
					<input type="password" name="passwd" size="10" maxlength="2" class=input>
				</td>
				<td bgcolor="#FFFFFF" width="268"><font color="#000033">비밀번호 앞에서 2자리 입력</font></td>
			</tr>
		</table>
	</td></tr> 
	<tr> 
		<td>
			<br>
			<ul>
				<li> <font color="#FF0033">빨간색으로 된 부분은 필히 입력하셔야 합니다!</font></li>
				<li> 할부는 5만원 이상 부터 승인결제 가능합니다.</li>
				<li> 개인카드인 경우 <font color="#FF0033">주민등록번호는 뒤에서 7자리</font>, 법인카드인 경우<font color="#FF0033">사업자번호 10자리</font> 입력하시고, <br>
					<font color="#FF0033">비밀번호는 앞에서 2자리</font>를 입력하셔야 합니다.<br></li>
				<li> 카드청구서에는 <font color="#FF0033">케이에스넷</font> 또는 <font color="#FF0033">케이에스넷홈쇼핑인터넷</font>으로 표기됩니다.</li>
			</ul>
			<p align="center"> 
				<input type="button" value="승인요청" name="BtnSetAuth" onclick="submit_auth(this.form)" class=input>
				<input type="reset" name="Reset" value="다시입력" class=input>
			</p>
        		<br>
		</td>
	</tr>
</table>
</form>
</body>
</html>
